# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['hashwd']

package_data = \
{'': ['*']}

install_requires = \
['argparse>=1.4,<2.0', 'pyperclip>=1.8,<2.0', 'requests>=2.24,<3.0']

entry_points = \
{'console_scripts': ['hashwd = hashwd:main']}

setup_kwargs = {
    'name': 'hashwd',
    'version': '0.4.1',
    'description': 'Quickly generate a strong, random password using common words',
    'long_description': '#hashwd\n\n##This application generates a strong, random password using a list of words and optional numbers and symbols. \n##The password is generated by randomly selecting words from a dictionary file, capitalizing one of the words, and adding optional numbers and symbols at the beginning or end of the password.\n\n#Commands\ngenerate : generates a new password using the default or custom parameters\nclear : clears the os clipboard\n\n\n#Arguments\n-h, --help: show the help message and exit\n-d, --default: use default values for number of words, numbers, and symbols\n-w, --words: number of words in the password (must be between 1 and 99)\n-n, --numbers: number of numbers in the password (must be between 0 and 9)\n-s, --symbols: number of symbols in the password (must be between 0 and 9)\n-c, --copy: copy the password to the clipboard\n-S, --show: print the password to the console\n-P, --prompt: prompt for number of words, numbers, and symbols\n\n\n#Usage\nTo use the script, run the following command in the terminal:\n\npython hashwd.py generate [-h] [-d] [-w W] [-n N] [-s S] [-c] [-S] [-P] [-C]\n\nGenerate a password with the default number of words, numbers, and symbols:\n\npython hashwd.py generate\n\nGenerate a password with 5 words, 2 numbers, and 3 symbols:\n\npython hashwd.py generate -w 5 -n 2 -s 3\n\n#Generate a password and prompt for the number of words, numbers, and symbols. Additionally, print the password to the terminal and copy it to the clipboard automatically.:\n\npython hashwd.py -PSc\n\nClear the clipboard:\n\npython hashwd.py clear\n\n\n#Requirements\nPython 3\npyperclip (for copying the password to the clipboard)\n\n#Note\nThe dictionary file is currently set to C:/hashwd/dictionary.txt. If you wish to use a different dictionary file, you can update the DICTIONARY_FILE constant in the script.\n\n#License\nhashwd is released under the GNU General Public License v3.0.\n\n#Credits\nhashwd was developed by Jordan Langland, 2023.',
    'author': 'Jordan Langland',
    'author_email': 'root@gnom.me',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'https://pypi.org/project/hashwd/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
